Bug 238802 - documentation excellent but not completely correct anymore
Summary: documentation excellent but not completely correct anymore
Status: REPORTED
Alias: None
Product: digikam
Classification: Unclassified
Component: Documentation (show other bugs)
Version: 1.4.0
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
: 272779 426513 430405 (view as bug list)
Depends on:
Blocks:
 
Reported: 2010-05-25 17:06 UTC by Siward de Groot
Modified: 2020-12-15 05:24 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Siward de Groot 2010-05-25 17:06:46 UTC
Version:           unspecified (using KDE 4.4.3) 
OS:                Linux

Hello Digikam people,

I was trying to find out how to get pictures out of my camera
and searched various places, and found the answer at your site.
Thank you very much !

I followed the instructions given on www.digikam.org/docs.html#q3
(which i found from a link on a gphoto page).
I skipped the 'configuring a kernel' step,
 hoping that Debian had done that for me.
Then i did 'modprobe ide-scsi', but it failed
with errormessage : module ide_scsi not found' ;
perhaps this is now built statically into kernel and not a module anymore ?
It would be nice to point out that this failure is not fatal.

I also did all the other modprobes listed on your faq page
and the ones that failed were :
ide-scsi, usb-uhci, usb-ohci

Then your documentation says that i should
"Plug in your USB device.
 You should see your device listed in /proc/bus/usb/devices.
 If not, you need to fix the kernel or check your cabling."
I did not find my device listed in /proc/bus/usb/devices.
and that directory does not even exist ; /proc/bus/usb is an empty directory.
This nearly made me give up,
so i think it would be good to fix this in your documentation
because i did ultimately succeed.

I installed sg3-utils, which worked well, and told me which device,
and i mounted it, and hey ! .jpg files ! Hooray !

I then indulged myself in looking at the pictures for a while
(without copying them)
and this caused the battery to go empty,
so suddenly my mount point did not have anything there anymore.
This was no problem ; after recharging it was all good again.
But i wonder whether the warning
about always carefully umounting the camera before unplugging it
is really necessary.

Now that i'm writing this, i am trying all of it again,
to not report things that are not right,
and now i find that the camera is on /dev/sdb
while yesterday it was on /dev/sda .
I don't know what causes it (perhaps caused by not umounting ?)
but it would seem to make an fstab entry a bit impossible.

Thanks again,
i hope my bugreport is usefull to you,
and have a nice day :-)

Siward de Groot


Reproducible: Always

Steps to Reproduce:
It's a documentation bug ; just re-read that webpage.


Actual Results:  
I was enlightened.

Expected Results:  
It should not have told me that i needed to re-configure kernel
(which would not have fixed anything)
and should also not have told me that i needed to buy a new cabling
(which would not have fixed anything)
but should instead have explained that Linux develops so fast that
it is impossible for documentation to keep up with it.
Comment 1 heenamahour 2014-02-05 09:09:03 UTC
Hi  Siward,
Somehow the link you provided does not exist ( www.digikam.org/docs.html#q3 ).
Regards
Comment 2 caulier.gilles 2014-08-23 11:34:25 UTC
*** Bug 272779 has been marked as a duplicate of this bug. ***
Comment 3 caulier.gilles 2016-08-27 09:45:44 UTC
The handbook re-writing task is started.

Currently, the files list have been review and files renamed by section and sub categories to be more maintenable.

Each sub section are now delegate to a dedicated docbook file. The goal is to be able to assign a small section to a contributors without to be in conflict with other possible contributors as before  (the handbook structure was more monolithic).

The kipi tools handbooks have been migrated to digiKam handbook. Each tools have a dedicated section.

A TODO file was been create for coordination purpose.

The repository is here :

https://quickgit.kde.org/?p=digikam-doc.git&a=tree

And the most important : we need contributor to write empty sections...

Gilles Caulier
Comment 4 Maik Qualmann 2020-09-14 07:59:26 UTC
*** Bug 426513 has been marked as a duplicate of this bug. ***
Comment 5 Maik Qualmann 2020-12-15 05:24:07 UTC
*** Bug 430405 has been marked as a duplicate of this bug. ***